body .gform-theme--api, 
body .gform-theme--foundation {
	--gf-ctrl-btn-bg-color-primary: var(--wp--preset--color--text);
	--gf-color-primary: var(--wp--preset--color--text);
	--gf-border-color: var(--wp--preset--color--accent);
	--gf-border-radius: 0;
    --gf-form-gap-y: 16px;
	--gf-ctrl-btn-bg-color-primary: var(--wp--preset--color--text);
	--gf-ctrl-btn-radius: 100px;
	--gf-ctrl-btn-text-transform: uppercase;
	--gf-ctrl-btn-font-size: 11px;
	--gf-ctrl-btn-font-size-md: 11px;
	--gf-ctrl-btn-line-height: 1.4em;
	--gf-ctrl-btn-padding-x: 26px;
	--gf-ctrl-btn-padding-x: 26px;
	--gf-ctrl-btn-size-md: 29px;
	--gf-ctrl-btn-bg-color-hover-primary: var(--wp--preset--color--white);
	--gf-ctrl-btn-border-color-hover-primary: var(--wp--preset--color--text);
	--gf-ctrl-btn-color-hover-primary: var(--wp--preset--color--text);
	--gf-ctrl-bg-color: transparent;
	--gf-ctrl-btn-border-color-primary: var(--wp--preset--color--white);
	--gf-ctrl-btn-shadow: none;
}

/*
Dark Theme
*/

[data-theme="dark"] body .gform-theme--api, 
[data-theme="dark"] body .gform-theme--foundation {
	--gf-ctrl-btn-bg-color-primary: var(--wp--preset--color--dark);
}

.gform_wrapper.gform-theme .gfield_label,
.gform_wrapper.gform-theme legend.gfield_label {
	font-family: var(--wp--preset--font-family--body);
	font-size: var(--wp--preset--font-size--small);
	line-height: 1.4em;
	font-weight: 400;
	margin-block-end: 1.4em;
	color: inherit;
}

.gform_wrapper.gform-theme input[type="text"],
.gform_wrapper.gform-theme input[type="email"],
.gform_wrapper.gform-theme input[type="tel"],
.gform_wrapper.gform-theme input[type="number"],
.gform_wrapper.gform-theme input[type="url"],
.gform_wrapper.gform-theme select,
.gform_wrapper.gform-theme textarea {
	width: 100%;
	padding: 0 0 0.25rem 0;
    font-size: var(--wp--preset--font-size--small);
    line-height: 1.4em;
	color: var(--wp--preset--color--body);
	border: 1px solid var(--wp--preset--color--accent);
    border-top: 0;
    border-left: 0;
    border-right: 0;
	border-radius: 0;
    box-shadow: none;
	font-family: inherit;
    display: block;
	height: auto;
}

.gform_wrapper.gform-theme input:focus,
.gform_wrapper.gform-theme select:focus,
.gform_wrapper.gform-theme textarea:focus {
	border-color: currentColor;
	outline: 2px solid currentColor;
	outline-offset: 2px;
}

/* 
Textarea
*/

.gform_wrapper.gform-theme--foundation .gfield textarea.large {
	min-block-size: 7rem;
}

/*
    Submit Button
*/

.gform_wrapper.gform-theme .gform_button,
.gform_wrapper.gform-theme .gform_next_button,
.gform_wrapper.gform-theme .gform_previous_button {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	padding: 0.875rem 1.5rem;
	color: var(--wp--preset--color--white);
	background: var(--wp--preset--color--text);
	border: 1px solid var(--wp--preset--color--text);
	border-radius: 0;
	font: inherit;
	font-weight: 700;
	text-transform: uppercase;
	cursor: pointer;
	transition: all .25s ease-in-out;
}

.gform_wrapper.gform-theme .gform_button:hover {
	box-shadow: none;
}

/*
Checkbox - Button
*/

.gform_wrapper.gform-theme .gfield_checkbox--button {
	padding-bottom: var(--wp--preset--spacing--10);
}

.gform_wrapper.gform-theme .gfield_checkbox--button .gfield_checkbox {
	flex-direction: row;
	flex-wrap: wrap;
}

.gform_wrapper.gform-theme .gfield_checkbox--button input[type="checkbox"] {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	white-space: nowrap;
	border: 0;
}

.gform_wrapper.gform-theme .gfield_checkbox--button input[type="checkbox"]:checked + label {
	background-color: var(--wp--preset--color--accent);
	border-color: var(--wp--preset--color--accent);
	color: var(--wp--preset--color--white);
}

.gform_wrapper.gform-theme .gfield_checkbox--button input[type="checkbox"]:focus + label,
.gform_wrapper.gform-theme .gfield_checkbox--button input[type="checkbox"]:focus-visible + label {
	border-color: currentColor;
    outline: 2px solid currentColor;
    outline-offset: 2px;
}

.gform_wrapper.gform-theme .gfield_checkbox--button .gchoice .gform-field-label {
	font-size: 11px;
	padding: 1em 1.4em;
	font-weight: 700;
	margin-left: 0;
	text-transform: uppercase;
	border: 1px solid var(--wp--preset--color--accent);
	border-radius: 100px;
	overflow: hidden;
	color: inherit;
}